package com.red.circle.wallet.app.service;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.common.business.dto.cmd.IdLongCmd;
import com.red.circle.wallet.app.dto.clientobject.UserBankCardCO;
import com.red.circle.wallet.app.dto.cmd.UserBankCardAddCmd;
import java.util.List;

/**
 * 用户银行卡服务.
 *
 * @author pengshigang on 2022/12/15
 */
public interface UserBankCardApiService {

  /**
   * 获得银行卡里列表.
   */
  List<UserBankCardCO> listBankCard(AppExtCommand cmd);

  /**
   * 根据卡片id删除银行卡.
   */
  void deleteById(IdLongCmd cmd);

  /**
   * 添加用户银行卡.
   */
  void add(UserBankCardAddCmd cmd);

  /**
   * 使用银行卡.
   */
  void use(IdLongCmd cmd);

}
